#pragma once
#include "../wrapper/renderpass.h"
#include "gbuffer.h"
namespace vulkanapi {
	class RenderTarget;
	class ForwardPass : public RenderPass {
	protected:
		vector<VkClearValue> mClearValues;
	public:
		using RenderPass::RenderPass;
		void Record();
		void InitTarget(Device& device, GeometryBuffer& gBuffer, RenderTarget* target);
	public:
		static ForwardPass* MakePass(Device& device, GeometryBuffer& gBuffer, RenderTarget* target);
	};
}